For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList views by Sheet
      • POSTCreate a view
      • GETGet a view
      • PATCHUpdate a view
      • DELDelete a view
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceViews

Create a view

POST
https://api.x.flatfile.com/v1/views
POST
/v1/views
$curl -X POST https://api.x.flatfile.com/v1/views \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "sheetId": "us_sh_YOUR_ID",
> "name": "My View",
> "config": {
> "sortField": "email",
> "sortDirection": "asc",
> "filter": "error",
> "filterField": "email",
> "q": "firstname like %John%"
> }
>}'
1{
2 "data": {
3 "id": "us_vi_YOUR_ID",
4 "sheetId": "us_sh_YOUR_ID",
5 "name": "My View",
6 "config": {
7 "sortField": "email",
8 "sortDirection": "asc",
9 "filter": "error",
10 "filterField": "email",
11 "q": "firstname like %John%"
12 },
13 "createdBy": "us_usr_YOUR_ID"
14 }
15}
Add a new view to the space
Was this page helpful?
Previous

Get a view

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Disable-Hooks"true"Required

Request

This endpoint expects an object.
sheetIdstringRequired
Sheet ID
namestringRequired
configobjectRequired
The configuration of a view. Filters, sorting, and search query.

Response

This endpoint returns an object.
dataobject
A view

Errors

400
Bad Request Error
404
Not Found Error